# Jigsaw
How to use JigKill

Jigsaw Home / Documentation Overview

This tool is used to save and/or kill Jigsaw

# Usage

java org.w3c.jigsaw.admin.JigKill [opions] admin-server-url

# Options

- -u username User name (default to "admin")
- -p password Password (required)
- --username Same as -u
- --password Same as -p
- --save Save configuration of all servers
- --stop Stop all servers
- --ping Check if servers are reachable

# Example usage

Be sure to have jigsaw.zip in your CLASSPATH. Read the installation page.

- Save and exit the servers:
  java org.w3c.jigsaw.admin.JigKill -u admin -p admin http://your-server-host:8009/
  OR (using explicit options)
  java org.w3c.jigsaw.admin.JigKill -u admin -p admin --save --stop http://your-server-host:8009/
- Stop the server (as fast as possible, e.g. for system shutdown):
  java org.w3c.jigsaw.admin.JigKill -u admin -p admin --stop http://your-server-host:8009/
- Save the current configuration:
  java org.w3c.jigsaw.admin.JigKill -u admin -p admin --save http://your-server-host:8009/
- Check if a server is still alive:
  java org.w3c.jigsaw.admin.JigKill -u admin -p admin --ping http://your-server-host:8009/

Thanks to Roland Mainz for his contribution on JigKill.

Jigsaw Team
$Id: jigkill.html,v 1.2 1999/03/24 10:44:57 bmahe Exp $

Copyright © 1999 W3C (MIT, INRIA, Keio ), All Rights Reserved. W3C liability, trademark , document use and software licensing rules apply. Your interactions with this site are in accordance with our public and Member privacy statements.